DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# IndexToCoordinate

Convert pixel index to coordinate

## SYNOPSIS

`#include "dip_coordsindx.h"`

dip_Error dip_IndexToCoordinate ( index, coordinate, stride )

## FUNCTION

This function is identical to `IndexToCoordinateWithSingletons`, but does not handle images with singleton dimensions (dimensions where the size is 1). Please use the other function instead, this one is provided for backwards compatability only.

## ARGUMENTS

Data type | Name | Description
`dip_int` | `index` | lineair index
`dip_IntegerArray` | `coordinate` | output coordinates
`dip_IntegerArray` | `stride` | stride array

## SEE ALSO

`IndexToCoordinateWithSingletons`, `CoordinateToIndex`

DIPlib on-line documentation | Function reference | Global function index